
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>算法：hdu 1011 Starship Troopers （树形背包dp） / iVAN</title>

    <meta name="description" content="算法：hdu 1011 Starship Troopers （树形背包dp） 题意 有n个洞穴编号为1-n,洞穴间有通道,形成了一个n-1条边的树, 洞穴的入口即根节点是1. 每个洞穴有x只bugs,并有价值y的金子,全部消灭完一个洞穴的虫子,就可以获得这个洞穴的y个金子. 现 在要派m个战士去找金子,从入口进入.每次只有消灭完当前洞穴的所有虫子,才可以选择进入下一个洞穴. 一个战士可以消灭20只虫子,如果要杀死x只虫子,那么要x/20向上取整即(x+19)/20个战士. 如果要 获得某个洞穴的金子,必须留下足够杀死所有虫子的战士数量, 即(x+19)/20个战士,然后这">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">算法：hdu 1011 Starship Troopers （树形背包dp）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>题意</p>
<p>有n个洞穴编号为1～n，洞穴间有通道，形成了一个n-1条边的树, 洞穴的入口即根节点是1。</p>
<p>每个洞穴有x只bugs，并有价值y的金子，全部消灭完一个洞穴的虫子，就可以获得这个洞穴的y个金子.</p>
<p>现</p>
<p>在要派m个战士去找金子，从入口进入。每次只有消灭完当前洞穴的所有虫子，才可以选择进入下一个洞穴。</p>
<p>一个战士可以消灭20只虫子，如果要杀死x只虫子，那么要x/20向上取整即(x+19)/20个战士。</p>
<p>如果要</p>
<p>获得某个洞穴的金子，必须留下足够杀死所有虫子的战士数量， 即(x+19)/20个战士，然后这些留下战士就</p>
<p>不能再去其它洞穴</p>
<p>其他战士可以继续走去其它洞穴，可以选择分组去不同的洞穴。</p>
<p>战士只能往洞穴深</p>
<p>处走，不能走回头路</p>
<p>问最多能获得多少金子？</p>
<p>思路</p>
<p>这题一开始没有理解好题意，所以WA了多次</p>
<p>，理解好题意就不难了。</p>
<p>我们可以知道每个节点的花费cost(i) = (x(i)+19)/20。</p>
<p>那么，</p>
<p>f(i, j)</p>
<p>：表示i子树，用j个战士最多可以获得的价值。</p>
<p>如果i有s个儿子节点，那么就形成了s组的物品，对每组</p>
<p>物品进行分组背包。</p>
<p>每一组可以选择派1,2...j-cost(i)个战士去，为什么最多是j-cost(i)？因为还要留</p>
<p>下cost(i)个战士消灭当前洞穴的虫子。</p>
<p>这样就可以得到状态转移了：</p>
<p>f(i, j) = max { max{ f</p>
<p>(i, j-k) + f(v, k) | 1&lt;=k&lt;=j-cost(i) } |  v是i的儿子节点 }</p>
<p>这题要特别注意的是</p>
<p>，如果是叶子节点，并且叶子节点的花费为0,那么要让他的花费变为1,因为必须派一个战士走向叶子节点才</p>
<p>可以获得金子.</p>
<p>代码</p>
<pre>/**=====================================================
* This is a solution for ACM/ICPC problem
*
* @source : hdu-1011 Starship Troopers
* @description : 树形背包dp
* @author : shuangde
* @blog : blog.csdn.net/shuangde800
* @email : zengshuangde@gmail.com
* Copyright (C) 2013/08/18 20:27 All rights reserved.
*======================================================*/
#include &lt;iostream&gt;
#include &lt;cstdio&gt;
#include &lt;algorithm&gt;
#include &lt;vector&gt;
#include &lt;queue&gt;
#include &lt;cmath&gt;
#include &lt;cstring&gt;
#define MP make_pair
using namespace std;

typedef pair&lt;int, int &gt;PII;
typedef long long int64;
const int INF = 0x3f3f3f3f;
const double PI = acos(-1.0);

const int MAXN = 110;

int n, m;
struct Node {
int num,cost, val;
}room[MAXN];
int f[MAXN][MAXN];
bool vis[MAXN];

vector&lt;int&gt;adj[MAXN];

void dfs(int u) {

vis[u] = true;
memset(f[u], 0, sizeof(f[u]));

// 如果是叶子节点，并且花费为0时，要变成1
// http://www.bianceng.cn
if (!room[u].cost &amp;&amp; adj[u].size()==1 &amp;&amp; u!=1)
room[u].cost = 1;

// 初始化
for (int i = room[u].cost; i &lt;= m; ++i)
f[u][i] = room[u].val;

for (int i = 0; i &lt; adj[u].size(); ++i) {
int v = adj[u][i];
if (vis[v]) continue;
dfs(v);
for (int s = m; s &gt;= room[u].cost; --s) {
for (int j = 1; s-j &gt;= room[u].cost; ++j)
f[u][s] = max(f[u][s], f[u][s-j] + f[v][j]);
}
}
}

int main(){

while (~scanf("%d %d", &amp;n, &amp;m) &amp;&amp; n+m != -2) {

for (int i = 1; i &lt;= n; ++i)
adj[i].clear();

for (int i = 1; i &lt;= n; ++i) {
int x;
scanf("%d%d", &amp;x, &amp;room[i].val);
room[i].cost = x/20 + (x%20!=0);
}

for (int i = 0; i &lt; n - 1; ++i) {
int u, v;
scanf("%d %d", &amp;u, &amp;v);
adj[u].push_back(v);
adj[v].push_back(u);
}

if (m==0) {
puts("0");
continue;
}

memset(vis, 0, sizeof(vis));
vis[1] = true;
dfs(1);
printf("%d\n", f[1][m]);
}

return 0;
}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索背包问题<br />
                    ，                节点<br />
                                    一个<br />
                                    starship troopers、树形dp、树形dp入门、bzoj 树形dp、poj树形dp，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:55:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e8%8a%82%e7%82%b9/" title="节点">节点</a>, <a href="https://www.iamivan.net/tag/%e8%83%8c%e5%8c%85%e9%97%ae%e9%a2%98/" title="背包问题">背包问题</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>算法：hdu 1011 Starship Troopers （树形背包dp）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62QOJM.html" rel="bookmark">算法：uva 1407 Caves &lpar;树形背包dp&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意 一棵n个节点的树,树的边有正整数权,表示两个节点之间的距离.你的任务是回答这样的询问:从跟 节点出发,走不超过x单位的距离, 最多能经过多少节点?同一个节点经过多次, 只能算一个. 思路 这题同样是多天前看的, 在今天才想出解法的. 动态规划就是这么有意思 :) 遍历n个节点, 有两种情 况, 第一种是遍历完之后不回到出发点, 第二种是要回到出发点. 两种都可能会重复经过某些边, 但是显 然还是第二种遍历的花费会更大 在这一题中, 遍历之后不需要回到出发点. f(i, j, 0): 表示遍			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPrLOM.html" rel="bookmark">算法：hdu 1561 The more&comma; The Better &lpar;树形背包dp&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目 ACboy很喜欢玩一种战略游戏,在一个地图上,有N座城堡,每座城堡都有一定的宝物,在每 次游戏中ACboy允许攻克M个城堡并获得里面的宝物.但由于地理位置原因,有些城堡不能直接攻克,要攻克 这些城堡必须先攻克其他某一个特定的城堡.你能帮ACboy算出要获得尽量多的宝物应该攻克哪M个城堡吗? 思路 简单树形背包dp,当作树形背包的第一道入门题非常合适 题目给的是森林,那么给 增加一个&quot;根节点&quot;, 指向森林中的每个树的根节点 f(i, j)表示子树i, 取j个城堡宝藏的时候 的最大值			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRXkVz.html" rel="bookmark">算法：poj 1155 TELE （树形背包dp）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意 某收费有线电视网计划转播一场重要的足球比赛.他们的转播网和用户终端构成一棵树状结 构,这棵树的根结点位于足球比赛的现场,树叶为各个用户终端,其他中转站为该树的内部节点. 从 转播站到转播站以及从转播站到所有用户终端的信号传输费用都是已知的,一场转播的总费用等于传输信号 的费用总和. 现在每个用户都准备了一笔费用想观看这场精彩的足球比赛,有线电视网有权决定给哪 些用户提供信号而不给哪些用户提供信号. 写一个程序找出一个方案使得有线电视网在不亏本的情况 下使观看转播的用户尽可能多. 思路 树形			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RPQjp.html" rel="bookmark">算法：zoj 3201 Tree of Tree（树形背包dp）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意 给一棵节点带权的树,找到一个有k个节点的子树,求这个子树的最大权值 思路 树形 dp+背包. f(i, j) 表示以i为根节点的有j个节点子树的最大权值 然后对i的每个子节点做分组背包, 因为对于i的每个儿子,可以选择分配 1,2,3...j-1个节点给它 f(i, j) = max{ max{f(i, j-p) + f(v, p) | 1&lt;=p&lt;j} | v是i的儿子节点} ans = max{ f[i][k] | 0&lt;=i&lt;n &amp;&amp; i 子树节点个数&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo60A6z.html" rel="bookmark">算法：poj 3345 Bribing FIPA &lpar;树形背包dp &vert; 输入坑&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意 有n个国家,你要获取m个国家的支持,获取第i个国家的支持就要给cost[i]的价钱 其中有 一些国家是老大和小弟的关系,也就是说,如果你获得了某个老大国家的支持, 那么这个国家的所有小弟 (包括小弟的小弟...递归下去)都会无偿免费支持你. 问最少的花费可以得到m个国家的支持 思路 这题还是比较好想的树形dp, 不过输入有些麻烦, 一开始以为每组样例结束都是'#',结果一直 RE,后来发现最后一组才是 '#'... 国家由于是直接给名字的,所以我用map&lt;string, int&gt;来映射保			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLqkRb.html" rel="bookmark">算法：poj 2486 Apple Tree （树形背包dp）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意 给一个n个节点的树,节点编号为1~n, 根节点为1, 每个节点有一个权值. 从根节点出发,走 不超过k步,问最多可以获取多少权值? 思路 因为和uva-1407 caves有点相似,所以没想很久就AC 了,但因为初始化问题WA了两次 f(i, j, 0): 表示子树i,走j次,最终不用回到i点获取的最大总权值 f(i, j, 1): 表示子树i,走j次,最终一定要回到i点获取的最大总权值 f(i, j, 1) = min{ min{ f(i, j-k, 1) + f(v, k-2, 1)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKZkEM.html" rel="bookmark">算法：poj 1947 Rebuilding Roads &lpar;树形背包dp&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意 给一棵树,问最少删掉几条边.使得剩下的子树中有节点个数为p个的 思路 几天前就看了 这题, 但是没什么想法,之后每天都有去想一下, 直到今天, 在我对自己方法还有怀疑 的情况下,竟然AC了 .. f(i, j) 表示子树i,保留j个节点的最少删边次数, 注意,这里保留的j个节点的子树,是指根节点 为i的且有j个节点的子树.这样理解的话, 状态转移就容易想多了. 对于子树i, 如果只保留1个节 点,那么连接它所有儿子节点的边都要删掉, 所以可以初始化 f(i, 1) = 节点i的儿子个数 f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze49k9p.html" rel="bookmark">算法：hdu 4003 Find Metal Mineral &lpar;树形背包dp&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意 给一棵n个节点的树, 节点编号为1~n, 每条边都有一个花费值. 有k个机器人从S点出发, 问让 机器人遍历所有边,最少花费值多少? 思路 很好的一题, 推荐! 前天看的这题, 今天才想出来的. 方法想出来后,代码很简单 最近做的几道dp,都是一开始没什么想法,然后过两天再想就想出来了,也许是因 为人的潜意识其实会一直在想某个问题 翻看一下网上其他人的做法, 和我的稍有不同, 他们是用f(i, j)表示子树i用j个机器人的最少花费, 一开始我也是这样 去想,但是没想到怎么去状态转移. 然后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Ak7np.html" rel="bookmark">算法：POJ 2184 Cow Exhibition （dp 转换01背包）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意: 有N个物品,每个物品有属性Si和Fi,-1000 &lt;= Si, Fi &lt;= 1000, 每种物品最 多只能选一次,问怎样选使得物品的所有Si和Fi属性之和最大,并且要求Si之和与Fi之和都不能下于 0. 思路: 这题想了很久都没思路,于是跟前辈请教了下,恍然大悟.把属性Si当做是物品的 费用,Fi当做是价值,然后做01背包即可. 代码: #include&lt;iostream&gt; #include&lt;queue&gt; #include&lt;stack&gt; #inc			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDKeKp.html" rel="bookmark" class="title">除法赋值运算符 &lpar;&sol;&equals;&rpar;</a>
					<div>
						运算   变量值除以表达式值,并将结果赋给该变量. result /= expression 参数 result 任何数值变量. expression 任何数值表达式. 说明 使用 /= 运算符和使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqd4Rb.html" rel="bookmark" class="title">2栏分页显示（附显示的形式&lbrack;1&rsqb;&lbrack;2&rsqb;），此程序可直接套用</a>
					<div>
						程序|分页|显示 显示形式:         ID1    NAME   | ID2   NAME         1      JULIET |  2     SPIRIT         3    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7wo4b.html" rel="bookmark" class="title">Symbian编程总结-图形图像篇-打开非Bitmap类型的图像</a>
					<div>
						Symbian OS不仅原生的支持Bitmap位图,还可以使用CImageDecoder类对jpeg/gif/png类型的图像进行编码和解码. CImageDecoder可以从文件创建,也可以从描述符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr7kJp.html" rel="bookmark" class="title">Photoshop渐变映射调色使用方法与技巧实例教程</a>
					<div>
						Photoshop的&quot;渐变映射&quot;命令可以将相等的图像灰度范围映射到指定的渐变填充色,比如指定双色渐变填充,在图像中的阴影映射到渐变填充的一个端点颜色, 高光映射到另一个端点颜色,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY8V0M.html" rel="bookmark" class="title">win7进入锁屏状态后电脑没声音怎么修复</a>
					<div>
						  1.检查声卡.连接线,以及音箱等设备是否连接正常;运行杀毒软件进行杀毒; 2.右击&quot;我的电脑&quot;----&quot;属性&quot;---&quot;硬件&quot;----&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmEQnz.html" rel="bookmark" class="title">Word稿纸安装方法</a>
					<div>
						①下载完成了,我们双击安装&quot;GenkoSetup_CHS.msi&quot;; ②此时,我们勾选&quot;同意&quot;,然后下一步; ③设置安装路径; ④安装完成,单击关闭即可. Wo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBPQOz.html" rel="bookmark" class="title">office2015新特性&sol;新功能有哪些？</a>
					<div>
						  1.Power Query查询增强版标签页 微软Power Query是一个Excel插件,在先前的Office 2010以及Office 2013中,我们需要单独下载该文件.在最新的Office ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKV0OM.html" rel="bookmark" class="title">如何解决系统telnet命令失效问题</a>
					<div>
						  众所周知telnet命令是用于允许用户登录远程主机系统,但是这样也相当于给黑客留下了一个倾入点,所以通常用户们会选择关闭它,当用户们想要使用telnet命令的时候该如何来开启它呢?下面就一起来看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG02ap.html" rel="bookmark" class="title">让C&num;开发更简单&comma;抽象增删改</a>
					<div>
						相信经常做一些MS,CRM 项目的童鞋非常有体会,大部分时间都是在复制和粘贴,大部分项目框架都是建一个三层,首先是DAL建一些增删改查,然后呢是BLL业务层再建一些增删改 查,然后UI层再调用增删改查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr39e1p.html" rel="bookmark" class="title">规则引擎-BRMS在企业开发中的应用</a>
					<div>
						1. 什么是规则 复杂企业级项目的开发以及其中随外部条件不断变化的业务规则(business logic),迫切需要分离商业决策者的商业决策逻辑和应用开发者的技术决策,并把这些商业决策放在中心数据库或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N0X1M.html" rel="bookmark" class="title">java-请假大家一个问题，关于jfreechart中的JPanel容器</a>
					<div>
						问题描述 请假大家一个问题,关于jfreechart中的JPanel容器 jfreechart在调用的过程中,会用到JPanel容器,相当于一个载体,我在想,能不能设置一下这个容器的显示时间,让他只能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6yr9b.html" rel="bookmark" class="title">listview-安卓ListView如何遍历每个Item保存我每条上添加的数据</a>
					<div>
						问题描述 安卓ListView如何遍历每个Item保存我每条上添加的数据 我点击一下,添加一条,还选择时间,在EditView中写入一个温度值,将我选择的时间及温度最好一条条的保存.现在问题是,我如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k5NoM.html" rel="bookmark" class="title">应邀ITGeGe在线教育社区嵌入式基础开发讲师</a>
					<div>
						 最近,被一家IT在线公司邀请去做嵌入式基础课程的讲师,我感觉非常荣幸,虽然我还是菜鸟一个,难得有这样的企业会看得起我,这也是对我的一个磨练吧,可以培养我继续不断学习技术的动力,同时还能将技术通过自身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lZo3b.html" rel="bookmark" class="title">ios开发-请问ios能否实现监听锁屏和解锁事件，需要调用什么方法</a>
					<div>
						问题描述 请问ios能否实现监听锁屏和解锁事件,需要调用什么方法 刚开始接触ios开发对ios开发不太熟悉,目前APP开发需要一个能够后台运行的监听计时模块,需要当模块在后台运行时,以屏幕是否解锁为依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3LAkz.html" rel="bookmark" class="title">关于activemq-cpp的性能</a>
					<div>
						问题描述 最近由于项目需要,使用了activeMQ,因项目使用c++,所以不可避免的使用了activemq-cpp.但是测试发现,其性能与java客户端相差很大.在只有一个broker,c++和jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZRdRz.html" rel="bookmark" class="title">php-关于网站网址这部分编排的问题</a>
					<div>
						问题描述 关于网站网址这部分编排的问题 http://www.xxxxx.com/videos/25787vod-play-id-25787-sid-3-pid-0.html 对于如上的网址,最后面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjdDxM.html" rel="bookmark" class="title">Oracle中的JOIN</a>
					<div>
						一.两张表 Student表 SID                  SNAME                CLASSID -------------------- -------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEw8KM.html" rel="bookmark" class="title">C&plus;&plus;程序设计教材目录思维导图&lpar;增C&plus;&plus;Primer&rpar;</a>
					<div>
						正在做C++思维导图,大工程,比较艰苦. 先做了三个C++教材目录的思维导图.C++教材不等于C++,这个容易些.看思维导图,整理所学知识,这个可以会. 给出三张图,对应三种教材: 谭浩强. C++程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE4jBz.html" rel="bookmark" class="title">南方食品豆粉被曝用孟山都抗除草剂转基因大豆</a>
					<div>
						每经实习记者 杨长江 发自深圳南方黑芝麻集团股份有限公司(以下简称南方食品)被指产品中含转基因成分.昨日,&lt;每日经济新闻&gt;记者从绿色和平组织获悉,该组织去年检测的一批食品中,南方食品生产的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GV4Op.html" rel="bookmark" class="title">Javascript简单实现可拖动的div&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;html&gt; &lt;head&gt; &lt;script type=&quot;text/javascript&quot;&gt; var x; var y; f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWB2dz.html" rel="bookmark" class="title">微信发5&period;4版本 可搜公众号 通二维码转账</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网易科技讯 8月14日消息,微信今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdrGeb.html" rel="bookmark" class="title">Adobe第一财季收入8&period;6亿美元同比增9&percnt;</a>
					<div>
						北京时间3月24日早间消息,据国外媒体报道,Adobe周五公布的财报显示,该公司在截至2010年3月5日的2010财年第一财季中实现收入8.587亿美元, 同比增长9%. 财报显示,Adobe第一财季 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wZv4z.html" rel="bookmark" class="title">纸媒&OpenCurlyDoubleQuote;黄昏&rdquo;行军图：善用网络或可迎来黎明</a>
					<div>
						报纸会消失吗?多年来,关于&quot;新媒体冲击传统媒体&quot;的话题一直讨论不休.随着移动互联网的兴起, 各类新媒体凭借免费.互动性强.草根化等优势,不断蚕食传统市场,对传统媒体咄咄相逼.目前, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YRLmp.html" rel="bookmark" class="title">P2P平台频跑路</a>
					<div>
						继北京爆出首家跑路平台网金宝,10日又有人爆出深圳平台科迅网跑路.截至昨日记者发稿时,该网站QQ维权群内人数已有1000余人.据网贷之家整理,目前统计到的涉案直接受害人达550多人,涉案金额达4100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YWeNp.html" rel="bookmark" class="title">专利申请量逐步增加，强化专利代理重要性</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;     随着专利申请量的逐步增加,专利代理市场逐渐步入市场 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6XnZp.html" rel="bookmark" class="title">如今电视剧也几家一起团购</a>
					<div>
						以&lt;台商&gt;为例,这部由翁家明.温兆伦.陈德容主演的25集电视剧即将在央视八套播出.网站销售的是省地面频道播映权,原价125万元,打了4折后成了50万元,等于每集2万元.最低团购数量要求10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4m9jb.html" rel="bookmark" class="title">法律援助网上预审查和预受理制度</a>
					<div>
						本报5月7日讯(通讯员梁作升 ) 7日,记者从市http://www.aliyun.com/zixun/aggregation/30580.html&quot;&gt;法律援助中心获悉,日照市已建立法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1om3M.html" rel="bookmark" class="title">PPS并购后创始人投资人全部套现退出</a>
					<div>
						5月7日,匆匆一日间,爱奇艺CEO龚宇.PPS创始人徐伟峰.张洪禹 带着大队人马,辗转上海.北京两地,向媒体证明二者真的&quot;在一起&quot;了.这桩早在去年便引发无数猜测的并购案,在历经数次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Y1Gkp.html" rel="bookmark" class="title">百度引入沙盒机制后的应对策略</a>
					<div>
						沙盒机制是指发生在google排名中的一种现象.一般认为,沙盒效应是发生在距今最近的Google算法更新后(即业界称为&quot;Florida&quot; 与 &quot;Austin&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Y1Ayb.html" rel="bookmark" class="title">怎样使用REST 添加单向好友</a>
					<div>
						问题描述 怎样使用REST 添加 单向好友   被添加的好友只会出现在我的好友列表  对方列表中没有我 解决方案 rest添加好友是双向的,调用之后,双方就互为好友了.解决方案二:你们是什么需求呢,环 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
